{% extends 'base.html.twig' %}

{% block title %}HSR{% endblock %}

{% block body %}
  <div class="card shadow mb-4">
    <div class="card-header py-3">
      <h6 class="m-0 font-weight-bold text-primary">Tasa de ocupación</h6>
    </div>
    <div class="card-body hospedajes">
      {% for val in hospedajes %}
      <div class="bd-callout bd-callout-info">
        <h4 >{{_key|trans}}</h1>
      </div>
      {% for item in val %}
      {% set tasaOcupacion = ((1-(item.disponible / item.capacidadMaxima))* 100)|round(1, 'floor')  %}
      <h4 class="small font-weight-bold">
        {{item.nombre}} ({{item.disponible }} camas disponibles)
        {% if item.cantidadRespiradores > 0 %} {{item.respiradoresDisponibles}} respiradores disponibles.{% endif %}
        <span class="float-right">{{tasaOcupacion}}%</span>
      </h4>
      <div class="progress mb-4">
        <div
        {% if tasaOcupacion > 80 %}
        class="progress-bar bg-danger"
        {% elseif tasaOcupacion > 50%}
        class="progress-bar progress-bar-striped bg-warning"
        {% elseif tasaOcupacion > 25%}
        class="progress-bar progress-bar-striped bg-info"
        {% else %}
        class="progress-bar progress-bar-striped bg-success"
        {% endif %}
        role="progressbar"
        style="width: {{tasaOcupacion}}%"
        aria-valuenow="{{tasaOcupacion}}"
        aria-valuemin="0"
        aria-valuemax="{{item.capacidadMaxima}}">
      </div>
    </div>
    {% endfor %}

      {% endfor %}

    </div>
  </div>
{% endblock %}
